/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT2.dat, Sat Nov  5 23:35:32 2011
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000314 (788)
 *     Revision         0x01
 *     Checksum         0x4D
 *     OEM ID           "HPQOEM"
 *     OEM Table ID     "PtidDevc"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20060912 (537266450)
 */
DefinitionBlock ("SSDT2.aml", "SSDT", 1, "HPQOEM", "PtidDevc", 0x00001000)
{
    External (\_TZ_.GFSD, IntObj)
    External (\_TZ_.PCHZ._TMP, IntObj)
    External (\_TZ_.MCHZ._TMP, IntObj)
    External (\_TZ_.CPUZ._TMP, IntObj)
    External (\_TZ_.EGXZ._TMP, IntObj)
    External (\_TZ_.BATZ._TMP, IntObj)
    External (\_TZ_.GFXZ._TMP, IntObj)
    External (\_TZ_.LOCZ._TMP, IntObj)
    External (\_TZ_.PWMZ._TMP, IntObj)
    External (\_TZ_.EX2Z._TMP, IntObj)
    External (\_TZ_.EXTZ._TMP, IntObj)

    Device (PTID)
    {
        Name (_HID, EisaId ("INT340E"))
        Name (_CID, EisaId ("PNP0C02"))
        Name (IVER, 0x00020001)
        Method (_STA, 0, NotSerialized)
        {
            Return (0x0F)
        }

        Name (TMPV, Package (0x1E)
        {
            0x03, 
            "0-EXTZ-External/Remote 1", 
            0x80000000, 
            0x03, 
            "1-EX2Z-External/Remote 2", 
            0x80000000, 
            0x03, 
            "2-PWMZ-PWM from EC", 
            0x80000000, 
            0x03, 
            "3-LOCZ-Local/Internal", 
            0x80000000, 
            0x01, 
            "4-GFXZ-Graphics via driver", 
            0x80000000, 
            0x03, 
            "5-BATZ-Battery", 
            0x80000000, 
            0x01, 
            "6-EGXZ-Graphics via EC", 
            0x80000000, 
            0x00, 
            "7-CPUZ-CPU PECI reading from PCH", 
            0x80000000, 
            0x05, 
            "8-MCHZ-MCH DTS from PCH", 
            0x80000000, 
            0x05, 
            "9-PCHZ-PCH DTS from PCH", 
            0x80000000
        })
        Name (PWRV, Package (0x03)
        {
            0x00, 
            "Dummy Power", 
            0x80000000
        })
        Name (OSDV, Package (0x04)
        {
            0x00, 
            "Fan Speed ", 
            "RAW", 
            0x80000000
        })
        Method (TSDD, 0, NotSerialized)
        {
            Store (\_TZ.EXTZ._TMP, Index (TMPV, 0x02))
            Store (\_TZ.EX2Z._TMP, Index (TMPV, 0x05))
            Store (\_TZ.PWMZ._TMP, Index (TMPV, 0x08))
            Store (\_TZ.LOCZ._TMP, Index (TMPV, 0x0B))
            Store (\_TZ.GFXZ._TMP, Index (TMPV, 0x0E))
            Store (\_TZ.BATZ._TMP, Index (TMPV, 0x11))
            Store (\_TZ.EGXZ._TMP, Index (TMPV, 0x14))
            Store (\_TZ.CPUZ._TMP, Index (TMPV, 0x17))
            Store (\_TZ.MCHZ._TMP, Index (TMPV, 0x1A))
            Store (\_TZ.PCHZ._TMP, Index (TMPV, 0x1D))
            Return (TMPV)
        }

        Method (PSDD, 0, NotSerialized)
        {
            Store (0x03E8, Index (PWRV, 0x02))
            Return (PWRV)
        }

        Method (OSDD, 0, NotSerialized)
        {
            Store (\_TZ.GFSD, Index (OSDV, 0x03))
            Return (OSDV)
        }

        Method (SDSP, 0, NotSerialized)
        {
            Return (0x0A)
        }
    }
}

